load("myws.Rda") # load data and functions

nproc <- 10 # Number of process used
R <- 9999 # Size of bootstrap samples
IDs <- unique(ms$ID) ; n <- length(IDs)
# Spliting the work in n segments from iinf to isup
ii <- floor(seq(from = 1, to = n, length.out  = nproc + 1))
iinf <- ii[-length(ii)]
isup <- ii[-1] - 1
isup[length(isup)] <- n # Not miss the last one

genericLines <- readLines("generic.R")

for(i in seq_len(nproc)){
  # Generating R scripts
  fname <- paste0("genericPCV-", i, ".R")
  codeR <- c(paste0("iproc <- ", i),
             paste0("iseq <- ", iinf[i], ":", isup[i]),
             paste0("Stat <- 'PCV'"),
             paste0("R <- ", R),
             genericLines)
  writeLines(codeR, fname)
  # Generation the command line to run the R scripts
  cmd <- paste0("nohup R CMD BATCH ", fname, "&")
  system(cmd)
}