iproc <- 7
iseq <- 860:1002
Stat <- 'KCV'
R <- 9999
# Generic part to compute stat S
load("myws.Rda")
IDs <- unique(ms$ID) ; n <- length(iseq)
tabres <- as.data.frame(matrix(NA, nrow = n, ncol = 4))
colnames(tabres) <- c("ID", "est", "inf", "sup")
S <- get(Stat)
tabname <- paste0("tab-", iproc, Stat)
set.seed(1) # for reproducibility
alpha <- 0.05
for(i in seq_len(n)){
  the_ID <- IDs[iseq[i]]
  tabres[i, "ID"] <- the_ID
  x <- ms[ms$ID == the_ID, "Value"]
  try.boot <- try(boot::boot(x, S, R = R))
  if(!inherits(try.boot, "try-error")) tabres[i, "est"] <- try.boot$t0
  try.ci <- try(boot::boot.ci(try.boot, type = "bca"))
  if(!inherits(try.ci, "try-error")) tabres[i, c("inf", "sup")] <- try.ci$bca[4:5]
}

assign(tabname, tabres)
save(list = tabname, file = paste0(tabname, ".Rda"))
